Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Update the name or description of a subscription template.
cURL
curl --request PATCH \ --url https://api.hyperline.co/v1/subscriptions/templates/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Starter", "description": "Starter pack" } '
import requests url = "https://api.hyperline.co/v1/subscriptions/templates/{id}" payload = { "name": "Starter", "description": "Starter pack" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: 'Starter', description: 'Starter pack'}) }; fetch('https://api.hyperline.co/v1/subscriptions/templates/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/subscriptions/templates/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'name' => 'Starter', 'description' => 'Starter pack' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/subscriptions/templates/{id}" payload := strings.NewReader("{\n \"name\": \"Starter\",\n \"description\": \"Starter pack\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.hyperline.co/v1/subscriptions/templates/{id}") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"name\": \"Starter\",\n \"description\": \"Starter pack\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/subscriptions/templates/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Starter\",\n \"description\": \"Starter pack\"\n}" response = http.request(request) puts response.read_body
{ "id": "subt_7gdusOkqr5L0B8", "name": "Starter", "description": "Starter pack", "created_at": "2025-11-30T18:24:34.473Z", "updated_at": "2025-11-30T18:24:34.473Z", "configurations": [] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Subscription template name.
"Starter"
Subscription template description.
"Starter pack"
Subscription template ID.
"subt_7gdusOkqr5L0B8"
Subscription template creation date. UTC date time string in the ISO 8601 format.
"2025-11-30T18:24:34.473Z"
Subscription template last edition date. UTC date time string in the ISO 8601 format.
Subscription template configurations.
Show child attributes
[]
Was this page helpful?